image: python:latest

cache:
  paths:
    - .cache/pip
    - venv/

before_script:
  - python -V  # Print out python version for debugging
  - python -m venv venv
  - source venv/bin/activate
  - pip install -r requirements.txt

report:
  script:
    - python -m nbconvert --to html --execute convert.ipynb
  artifacts:
    expire_in: 1 week
    paths:
      - convert.html
